/* automatically generated from weather-config.ui */
#ifdef __SUNPRO_C
#pragma align 4 (weather_config_ui)
#endif
#ifdef __GNUC__
static const char weather_config_ui[] __attribute__ ((__aligned__ (4))) =
#else
static const char weather_config_ui[] =
#endif
{
  "<?xml version=\"1.0\" encoding=\"UTF-8\"?><interface><requires lib=\"gt"
  "k+\" version=\"3.20\"/><requires lib=\"libxfce4ui-2\" version=\"4.12\"/"
  "><object class=\"GtkAdjustment\" id=\"adjustment1\"><property name=\"lo"
  "wer\">1</property><property name=\"upper\">10</property><property name="
  "\"step_increment\">1</property><property name=\"page_increment\">10</pr"
  "operty></object><object class=\"GtkAdjustment\" id=\"adjustment2\"><pro"
  "perty name=\"lower\">1</property><property name=\"upper\">10</property>"
  "<property name=\"step_increment\">1</property><property name=\"page_inc"
  "rement\">10</property></object><object class=\"GtkAdjustment\" id=\"adj"
  "ustment3\"><property name=\"lower\">-90</property><property name=\"uppe"
  "r\">90</property><property name=\"step_increment\">1</property><propert"
  "y name=\"page_increment\">10</property></object><object class=\"GtkAdju"
  "stment\" id=\"adjustment4\"><property name=\"lower\">-180</property><pr"
  "operty name=\"upper\">180</property><property name=\"step_increment\">1"
  "</property><property name=\"page_increment\">10</property></object><obj"
  "ect class=\"GtkAdjustment\" id=\"adjustment5\"><property name=\"lower\""
  ">-420</property><property name=\"upper\">10000</property><property name"
  "=\"step_increment\">1</property><property name=\"page_increment\">10</p"
  "roperty></object><object class=\"GtkImage\" id=\"image1\"><property nam"
  "e=\"visible\">True</property><property name=\"can_focus\">False</proper"
  "ty><property name=\"icon_name\">edit-find</property></object><object cl"
  "ass=\"GtkImage\" id=\"image2\"><property name=\"visible\">True</propert"
  "y><property name=\"can_focus\">False</property><property name=\"icon_na"
  "me\">folder</property></object><object class=\"GtkImage\" id=\"image3\""
  "><property name=\"visible\">True</property><property name=\"can_focus\""
  ">False</property><property name=\"icon_name\">list-add</property></obje"
  "ct><object class=\"GtkImage\" id=\"image4\"><property name=\"visible\">"
  "True</property><property name=\"can_focus\">False</property><property n"
  "ame=\"icon_name\">list-remove</property></object><object class=\"GtkIma"
  "ge\" id=\"image5\"><property name=\"visible\">True</property><property "
  "name=\"can_focus\">False</property><property name=\"icon_name\">go-up</"
  "property></object><object class=\"GtkImage\" id=\"image6\"><property na"
  "me=\"visible\">True</property><property name=\"can_focus\">False</prope"
  "rty><property name=\"icon_name\">go-down</property></object><object cla"
  "ss=\"GtkListStore\" id=\"liststore1\"/><object class=\"XfceTitledDialog"
  "\" id=\"dialog\"><property name=\"can_focus\">False</property><property"
  " name=\"title\" translatable=\"yes\">Weather Update</property><property"
  " name=\"default_width\">430</property><property name=\"default_height\""
  ">430</property><property name=\"destroy_with_parent\">True</property><p"
  "roperty name=\"icon_name\">xfce4-weather</property><property name=\"typ"
  "e_hint\">dialog</property><property name=\"subtitle\" translatable=\"ye"
  "s\">Preferences</property><child internal-child=\"vbox\"><object class="
  "\"GtkBox\" id=\"box1\"><property name=\"can_focus\">False</property><pr"
  "operty name=\"orientation\">vertical</property><property name=\"spacing"
  "\">2</property><child internal-child=\"action_area\"><object class=\"Gt"
  "kButtonBox\" id=\"buttonbox1\"><property name=\"can_focus\">False</prop"
  "erty><property name=\"layout_style\">end</property><child><object class"
  "=\"GtkButton\" id=\"help_button\"><property name=\"label\" translatable"
  "=\"yes\">_Help</property><property name=\"visible\">True</property><pro"
  "perty name=\"can_focus\">True</property><property name=\"receives_defau"
  "lt\">True</property><property name=\"use_underline\">True</property></o"
  "bject><packing><property name=\"expand\">True</property><property name="
  "\"fill\">True</property><property name=\"position\">0</property><proper"
  "ty name=\"secondary\">True</property></packing></child><child><object c"
  "lass=\"GtkButton\" id=\"close_button\"><property name=\"label\" transla"
  "table=\"yes\">_Close</property><property name=\"visible\">True</propert"
  "y><property name=\"can_focus\">True</property><property name=\"receives"
  "_default\">True</property><property name=\"use_underline\">True</proper"
  "ty></object><packing><property name=\"expand\">True</property><property"
  " name=\"fill\">True</property><property name=\"position\">1</property><"
  "/packing></child></object><packing><property name=\"expand\">False</pro"
  "perty><property name=\"fill\">False</property><property name=\"position"
  "\">0</property></packing></child><child><object class=\"GtkNotebook\" i"
  "d=\"notebook\"><property name=\"visible\">True</property><property name"
  "=\"can_focus\">True</property><property name=\"border_width\">6</proper"
  "ty><child><object class=\"GtkGrid\" id=\"grid1\"><property name=\"visib"
  "le\">True</property><property name=\"can_focus\">False</property><prope"
  "rty name=\"valign\">start</property><property name=\"border_width\">12<"
  "/property><property name=\"row_spacing\">6</property><property name=\"c"
  "olumn_spacing\">12</property><child><object class=\"GtkLabel\" id=\"lab"
  "el1\"><property name=\"visible\">True</property><property name=\"can_fo"
  "cus\">False</property><property name=\"label\" translatable=\"yes\">Loc"
  "ation _name:</property><property name=\"use_underline\">True</property>"
  "<property name=\"mnemonic_widget\">text_loc_name</property><property na"
  "me=\"xalign\">0</property></object><packing><property name=\"left_attac"
  "h\">0</property><property name=\"top_attach\">0</property></packing></c"
  "hild><child><object class=\"GtkLabel\" id=\"label2\"><property name=\"v"
  "isible\">True</property><property name=\"can_focus\">False</property><p"
  "roperty name=\"label\" translatable=\"yes\">Latitud_e:</property><prope"
  "rty name=\"use_underline\">True</property><property name=\"mnemonic_wid"
  "get\">spin_lat</property><property name=\"xalign\">0</property></object"
  "><packing><property name=\"left_attach\">0</property><property name=\"t"
  "op_attach\">1</property></packing></child><child><object class=\"GtkLab"
  "el\" id=\"label3\"><property name=\"visible\">True</property><property "
  "name=\"can_focus\">False</property><property name=\"label\" translatabl"
  "e=\"yes\">L_ongitude:</property><property name=\"use_underline\">True</"
  "property><property name=\"mnemonic_widget\">spin_lon</property><propert"
  "y name=\"xalign\">0</property></object><packing><property name=\"left_a"
  "ttach\">0</property><property name=\"top_attach\">2</property></packing"
  "></child><child><object class=\"GtkLabel\" id=\"label4\"><property name"
  "=\"visible\">True</property><property name=\"can_focus\">False</propert"
  "y><property name=\"label\" translatable=\"yes\">Altitu_de:</property><p"
  "roperty name=\"use_underline\">True</property><property name=\"mnemonic"
  "_widget\">spin_alt</property><property name=\"xalign\">0</property></ob"
  "ject><packing><property name=\"left_attach\">0</property><property name"
  "=\"top_attach\">3</property></packing></child><child><object class=\"Gt"
  "kLabel\" id=\"label5\"><property name=\"visible\">True</property><prope"
  "rty name=\"can_focus\">False</property><property name=\"label\" transla"
  "table=\"yes\">_Timezone:</property><property name=\"use_underline\">Tru"
  "e</property><property name=\"mnemonic_widget\">text_timezone</property>"
  "<property name=\"xalign\">0</property></object><packing><property name="
  "\"left_attach\">0</property><property name=\"top_attach\">4</property><"
  "/packing></child><child><object class=\"GtkSeparator\" id=\"separator1\""
  "><property name=\"visible\">True</property><property name=\"can_focus\""
  ">False</property><property name=\"margin_top\">6</property><property na"
  "me=\"margin_bottom\">6</property></object><packing><property name=\"lef"
  "t_attach\">0</property><property name=\"top_attach\">5</property><prope"
  "rty name=\"width\">2</property></packing></child><child><object class=\""
  "GtkLabel\" id=\"label6\"><property name=\"visible\">True</property><pro"
  "perty name=\"can_focus\">False</property><property name=\"label\" trans"
  "latable=\"yes\">Please change location name to your liking and correct "
  "alltitude and timezone if they are not auto-detected correctly.</proper"
  "ty><property name=\"wrap\">True</property><property name=\"xalign\">0</"
  "property><attributes><attribute name=\"style\" value=\"italic\"/></attr"
  "ibutes></object><packing><property name=\"left_attach\">0</property><pr"
  "operty name=\"top_attach\">6</property><property name=\"width\">2</prop"
  "erty></packing></child><child><object class=\"GtkBox\" id=\"box2\"><pro"
  "perty name=\"visible\">True</property><property name=\"can_focus\">Fals"
  "e</property><property name=\"spacing\">6</property><child><object class"
  "=\"GtkSpinButton\" id=\"spin_lat\"><property name=\"visible\">True</pro"
  "perty><property name=\"can_focus\">True</property><property name=\"tool"
  "tip_text\" translatable=\"yes\">Latitude specifies the north-south posi"
  "tion of a point on the Earth\'s surface. If you change this value manua"
  "lly, you need to provide altitude and timezone manually too.</property>"
  "<property name=\"width_chars\">11</property><property name=\"adjustment"
  "\">adjustment3</property><property name=\"digits\">6</property></object"
  "><packing><property name=\"expand\">False</property><property name=\"fi"
  "ll\">True</property><property name=\"position\">0</property></packing><"
  "/child><child><object class=\"GtkLabel\" id=\"label7\"><property name=\""
  "visible\">True</property><property name=\"can_focus\">False</property><"
  "property name=\"label\" translatable=\"yes\">\302\260</property></objec"
  "t><packing><property name=\"expand\">False</property><property name=\"f"
  "ill\">True</property><property name=\"position\">1</property></packing>"
  "</child></object><packing><property name=\"left_attach\">1</property><p"
  "roperty name=\"top_attach\">1</property></packing></child><child><objec"
  "t class=\"GtkBox\" id=\"box3\"><property name=\"visible\">True</propert"
  "y><property name=\"can_focus\">False</property><property name=\"spacing"
  "\">6</property><child><object class=\"GtkSpinButton\" id=\"spin_lon\"><"
  "property name=\"visible\">True</property><property name=\"can_focus\">T"
  "rue</property><property name=\"tooltip_text\" translatable=\"yes\">Long"
  "itude specifies the east-west position of a point on the Earth\'s surfa"
  "ce. If you change this value manually, you need to provide altitude and"
  " timezone manually too.</property><property name=\"width_chars\">11</pr"
  "operty><property name=\"adjustment\">adjustment4</property><property na"
  "me=\"digits\">6</property></object><packing><property name=\"expand\">F"
  "alse</property><property name=\"fill\">True</property><property name=\""
  "position\">0</property></packing></child><child><object class=\"GtkLabe"
  "l\" id=\"label8\"><property name=\"visible\">True</property><property n"
  "ame=\"can_focus\">False</property><property name=\"label\" translatable"
  "=\"yes\">\302\260</property></object><packing><property name=\"expand\""
  ">False</property><property name=\"fill\">True</property><property name="
  "\"position\">1</property></packing></child></object><packing><property "
  "name=\"left_attach\">1</property><property name=\"top_attach\">2</prope"
  "rty></packing></child><child><object class=\"GtkBox\" id=\"box4\"><prop"
  "erty name=\"visible\">True</property><property name=\"can_focus\">False"
  "</property><property name=\"spacing\">6</property><child><object class="
  "\"GtkSpinButton\" id=\"spin_alt\"><property name=\"visible\">True</prop"
  "erty><property name=\"can_focus\">True</property><property name=\"toolt"
  "ip_text\" translatable=\"yes\">For locations outside Norway the elevati"
  "on model that\'s used by the met.no webservice is not very good, so it\'"
  "s usually necessary to specify the altitude as an additional parameter,"
  " otherwise the reported values will not be correct.\n\nThe plugin tries"
  " to auto-detect the altitude using the GeoNames webservice, but that mi"
  "ght not always be correct too, so you can change it here.\n\nAltitude i"
  "s given in meters above sea level, or alternatively in feet by changing"
  " the unit on the units page. It should match the real value roughly, bu"
  "t small differences will have no influence on the weather data. Inside "
  "Norway, this setting has no effect at all.</property><property name=\"w"
  "idth_chars\">11</property><property name=\"adjustment\">adjustment5</pr"
  "operty></object><packing><property name=\"expand\">False</property><pro"
  "perty name=\"fill\">True</property><property name=\"position\">0</prope"
  "rty></packing></child><child><object class=\"GtkLabel\" id=\"label_alt_"
  "unit\"><property name=\"visible\">True</property><property name=\"can_f"
  "ocus\">False</property><property name=\"label\" translatable=\"yes\">fe"
  "et</property></object><packing><property name=\"expand\">False</propert"
  "y><property name=\"fill\">True</property><property name=\"position\">1<"
  "/property></packing></child></object><packing><property name=\"left_att"
  "ach\">1</property><property name=\"top_attach\">3</property></packing><"
  "/child><child><object class=\"GtkEntry\" id=\"text_timezone\"><property"
  " name=\"visible\">True</property><property name=\"can_focus\">True</pro"
  "perty><property name=\"tooltip_markup\" translatable=\"yes\">If the cho"
  "sen location is not in your current timezone, then it is necessary to &"
  "lt;i&gt;put&lt;/i&gt; the plugin into that other timezone for the times"
  " to be shown correctly. The proper timezone will be auto-detected via t"
  "he GeoNames web service, but you might want to correct it if necessary."
  "\nLeave this field empty to use the timezone set by your system. Invali"
  "d entries will cause the use of UTC time, but that may also depend on y"
  "our system.</property></object><packing><property name=\"left_attach\">"
  "1</property><property name=\"top_attach\">4</property></packing></child"
  "><child><object class=\"GtkBox\"><property name=\"visible\">True</prope"
  "rty><property name=\"can_focus\">False</property><property name=\"hexpa"
  "nd\">True</property><property name=\"spacing\">6</property><child><obje"
  "ct class=\"GtkEntry\" id=\"text_loc_name\"><property name=\"visible\">T"
  "rue</property><property name=\"can_focus\">True</property><property nam"
  "e=\"tooltip_text\" translatable=\"yes\">Change the name for the locatio"
  "n to your liking. It is used for display and does not affect the locati"
  "on parameters in any way.</property><property name=\"hexpand\">True</pr"
  "operty></object><packing><property name=\"expand\">False</property><pro"
  "perty name=\"fill\">True</property><property name=\"position\">0</prope"
  "rty></packing></child><child><object class=\"GtkButton\" id=\"button_lo"
  "c_change\"><property name=\"label\" translatable=\"yes\">Change...</pro"
  "perty><property name=\"visible\">True</property><property name=\"can_fo"
  "cus\">True</property><property name=\"receives_default\">True</property"
  "><property name=\"tooltip_text\" translatable=\"yes\">Search for a new "
  "location and auto-detect its parameters.</property><property name=\"ima"
  "ge\">image1</property></object><packing><property name=\"expand\">False"
  "</property><property name=\"fill\">True</property><property name=\"posi"
  "tion\">1</property></packing></child><child><object class=\"GtkSpinner\""
  " id=\"update_spinner\"><property name=\"can_focus\">False</property><pr"
  "operty name=\"no_show_all\">True</property></object><packing><property "
  "name=\"expand\">False</property><property name=\"fill\">True</property>"
  "<property name=\"position\">2</property></packing></child></object><pac"
  "king><property name=\"left_attach\">1</property><property name=\"top_at"
  "tach\">0</property></packing></child></object></child><child type=\"tab"
  "\"><object class=\"GtkLabel\" id=\"label9\"><property name=\"visible\">"
  "True</property><property name=\"can_focus\">False</property><property n"
  "ame=\"label\" translatable=\"yes\">_Location</property><property name=\""
  "use_underline\">True</property></object><packing><property name=\"tab_f"
  "ill\">False</property></packing></child><child><object class=\"GtkGrid\""
  " id=\"grid2\"><property name=\"visible\">True</property><property name="
  "\"can_focus\">False</property><property name=\"valign\">start</property"
  "><property name=\"border_width\">12</property><property name=\"row_spac"
  "ing\">6</property><property name=\"column_spacing\">12</property><child"
  "><object class=\"GtkLabel\" id=\"label10\"><property name=\"visible\">T"
  "rue</property><property name=\"can_focus\">False</property><property na"
  "me=\"label\" translatable=\"yes\">_Temperature:</property><property nam"
  "e=\"use_underline\">True</property><property name=\"mnemonic_widget\">c"
  "ombo_unit_temperature</property><property name=\"xalign\">0</property><"
  "/object><packing><property name=\"left_attach\">0</property><property n"
  "ame=\"top_attach\">0</property></packing></child><child><object class=\""
  "GtkLabel\" id=\"label11\"><property name=\"visible\">True</property><pr"
  "operty name=\"can_focus\">False</property><property name=\"label\" tran"
  "slatable=\"yes\">Barometric _pressure:</property><property name=\"use_u"
  "nderline\">True</property><property name=\"mnemonic_widget\">combo_unit"
  "_pressure</property><property name=\"xalign\">0</property></object><pac"
  "king><property name=\"left_attach\">0</property><property name=\"top_at"
  "tach\">1</property></packing></child><child><object class=\"GtkLabel\" "
  "id=\"label12\"><property name=\"visible\">True</property><property name"
  "=\"can_focus\">False</property><property name=\"label\" translatable=\""
  "yes\">_Wind speed:</property><property name=\"use_underline\">True</pro"
  "perty><property name=\"mnemonic_widget\">combo_unit_windspeed</property"
  "><property name=\"xalign\">0</property></object><packing><property name"
  "=\"left_attach\">0</property><property name=\"top_attach\">2</property>"
  "</packing></child><child><object class=\"GtkLabel\" id=\"label13\"><pro"
  "perty name=\"visible\">True</property><property name=\"can_focus\">Fals"
  "e</property><property name=\"label\" translatable=\"yes\">Prec_ipitatio"
  "ns:</property><property name=\"use_underline\">True</property><property"
  " name=\"mnemonic_widget\">combo_unit_precipitation</property><property "
  "name=\"xalign\">0</property></object><packing><property name=\"left_att"
  "ach\">0</property><property name=\"top_attach\">3</property></packing><"
  "/child><child><object class=\"GtkLabel\" id=\"label14\"><property name="
  "\"visible\">True</property><property name=\"can_focus\">False</property"
  "><property name=\"label\" translatable=\"yes\">Altitu_de:</property><pr"
  "operty name=\"use_underline\">True</property><property name=\"mnemonic_"
  "widget\">combo_unit_altitude</property><property name=\"xalign\">0</pro"
  "perty></object><packing><property name=\"left_attach\">0</property><pro"
  "perty name=\"top_attach\">4</property></packing></child><child><object "
  "class=\"GtkSeparator\" id=\"separator2\"><property name=\"visible\">Tru"
  "e</property><property name=\"can_focus\">False</property><property name"
  "=\"margin_top\">6</property><property name=\"margin_bottom\">6</propert"
  "y></object><packing><property name=\"left_attach\">0</property><propert"
  "y name=\"top_attach\">5</property><property name=\"width\">2</property>"
  "</packing></child><child><object class=\"GtkLabel\" id=\"label15\"><pro"
  "perty name=\"visible\">True</property><property name=\"can_focus\">Fals"
  "e</property><property name=\"label\" translatable=\"yes\">Apparent te_m"
  "perature:</property><property name=\"use_underline\">True</property><pr"
  "operty name=\"mnemonic_widget\">combo_apparent_temperature</property></"
  "object><packing><property name=\"left_attach\">0</property><property na"
  "me=\"top_attach\">6</property></packing></child><child><object class=\""
  "GtkComboBoxText\" id=\"combo_unit_temperature\"><property name=\"visibl"
  "e\">True</property><property name=\"can_focus\">False</property><proper"
  "ty name=\"hexpand\">True</property><items><item translatable=\"yes\">Ce"
  "lsius (\302\260C)</item><item translatable=\"yes\">Fahrenheit (\302\260"
  "F)</item></items></object><packing><property name=\"left_attach\">1</pr"
  "operty><property name=\"top_attach\">0</property></packing></child><chi"
  "ld><object class=\"GtkComboBoxText\" id=\"combo_unit_pressure\"><proper"
  "ty name=\"visible\">True</property><property name=\"can_focus\">False</"
  "property><items><item translatable=\"yes\">Hectopascals (hPa)</item><it"
  "em translatable=\"yes\">Inches of mercury (inHg)</item><item translatab"
  "le=\"yes\">Pound-force per square inch (psi)</item><item translatable=\""
  "yes\">Torr (mmHg)</item></items></object><packing><property name=\"left"
  "_attach\">1</property><property name=\"top_attach\">1</property></packi"
  "ng></child><child><object class=\"GtkComboBoxText\" id=\"combo_unit_win"
  "dspeed\"><property name=\"visible\">True</property><property name=\"can"
  "_focus\">False</property><items><item translatable=\"yes\">Kilometers p"
  "er hour (km/h)</item><item translatable=\"yes\">Miles per hour (mph)</i"
  "tem><item translatable=\"yes\">Meters per second (m/s)</item><item tran"
  "slatable=\"yes\">Feet per second (ft/s)</item><item translatable=\"yes\""
  ">Knots (kt)</item></items></object><packing><property name=\"left_attac"
  "h\">1</property><property name=\"top_attach\">2</property></packing></c"
  "hild><child><object class=\"GtkComboBoxText\" id=\"combo_unit_precipita"
  "tion\"><property name=\"visible\">True</property><property name=\"can_f"
  "ocus\">False</property><items><item translatable=\"yes\">Millimeters (m"
  "m)</item><item translatable=\"yes\">Inches (in)</item></items></object>"
  "<packing><property name=\"left_attach\">1</property><property name=\"to"
  "p_attach\">3</property></packing></child><child><object class=\"GtkComb"
  "oBoxText\" id=\"combo_unit_altitude\"><property name=\"visible\">True</"
  "property><property name=\"can_focus\">False</property><items><item tran"
  "slatable=\"yes\">Meters (m)</item><item translatable=\"yes\">Feet (ft)<"
  "/item></items></object><packing><property name=\"left_attach\">1</prope"
  "rty><property name=\"top_attach\">4</property></packing></child><child>"
  "<object class=\"GtkComboBoxText\" id=\"combo_apparent_temperature\"><pr"
  "operty name=\"visible\">True</property><property name=\"can_focus\">Fal"
  "se</property><items><item translatable=\"yes\">Windchill/Heat index</it"
  "em><item translatable=\"yes\">Windchill/Humidex</item><item translatabl"
  "e=\"yes\">Steadman</item><item translatable=\"yes\">Quayle-Steadman</it"
  "em></items></object><packing><property name=\"left_attach\">1</property"
  "><property name=\"top_attach\">6</property></packing></child></object><"
  "packing><property name=\"position\">1</property></packing></child><chil"
  "d type=\"tab\"><object class=\"GtkLabel\" id=\"label16\"><property name"
  "=\"visible\">True</property><property name=\"can_focus\">False</propert"
  "y><property name=\"label\" translatable=\"yes\">_Units</property><prope"
  "rty name=\"use_underline\">True</property></object><packing><property n"
  "ame=\"position\">1</property><property name=\"tab_fill\">False</propert"
  "y></packing></child><child><object class=\"GtkGrid\" id=\"grid3\"><prop"
  "erty name=\"visible\">True</property><property name=\"can_focus\">False"
  "</property><property name=\"border_width\">12</property><property name="
  "\"row_spacing\">6</property><property name=\"column_spacing\">12</prope"
  "rty><child><object class=\"GtkLabel\" id=\"label17\"><property name=\"v"
  "isible\">True</property><property name=\"can_focus\">False</property><p"
  "roperty name=\"tooltip_text\" translatable=\"yes\">Available icon theme"
  "s are listed here. You can add icon themes to $HOME/.config/xfce4/weath"
  "er/icons (or the equivalent directory on your system). Information abou"
  "t how to create or use icon themes can be found in the README file. New"
  " icon themes will be detected everytime you open this config dialog.</p"
  "roperty><property name=\"label\" translatable=\"yes\">_Icon theme:</pro"
  "perty><property name=\"use_underline\">True</property><property name=\""
  "mnemonic_widget\">combo_icon_theme</property><property name=\"xalign\">"
  "0</property></object><packing><property name=\"left_attach\">0</propert"
  "y><property name=\"top_attach\">0</property></packing></child><child><o"
  "bject class=\"GtkBox\" id=\"box5\"><property name=\"visible\">True</pro"
  "perty><property name=\"can_focus\">False</property><property name=\"hex"
  "pand\">True</property><property name=\"spacing\">6</property><child><ob"
  "ject class=\"GtkComboBoxText\" id=\"combo_icon_theme\"><property name=\""
  "visible\">True</property><property name=\"can_focus\">False</property><"
  "/object><packing><property name=\"expand\">True</property><property nam"
  "e=\"fill\">True</property><property name=\"position\">0</property></pac"
  "king></child><child><object class=\"GtkButton\" id=\"button_icons_dir\""
  "><property name=\"visible\">True</property><property name=\"can_focus\""
  ">True</property><property name=\"receives_default\">True</property><pro"
  "perty name=\"tooltip_text\" translatable=\"yes\">Open the user icon the"
  "mes directory in your file manager, creating it if necessary.</property"
  "><property name=\"image\">image2</property></object><packing><property "
  "name=\"expand\">False</property><property name=\"fill\">True</property>"
  "<property name=\"position\">1</property></packing></child></object><pac"
  "king><property name=\"left_attach\">1</property><property name=\"top_at"
  "tach\">0</property></packing></child><child><object class=\"GtkCheckBut"
  "ton\" id=\"check_single_row\"><property name=\"label\" translatable=\"y"
  "es\">Use only a single _panel row</property><property name=\"visible\">"
  "True</property><property name=\"can_focus\">True</property><property na"
  "me=\"receives_default\">False</property><property name=\"tooltip_text\""
  " translatable=\"yes\">Check to always use only a single row on a multi-"
  "row panel and a small icon in deskbar mode.</property><property name=\""
  "use_underline\">True</property><property name=\"draw_indicator\">True</"
  "property></object><packing><property name=\"left_attach\">0</property><"
  "property name=\"top_attach\">1</property><property name=\"width\">2</pr"
  "operty></packing></child><child><object class=\"GtkSeparator\" id=\"sep"
  "arator3\"><property name=\"visible\">True</property><property name=\"ca"
  "n_focus\">False</property><property name=\"margin_top\">6</property><pr"
  "operty name=\"margin_bottom\">6</property></object><packing><property n"
  "ame=\"left_attach\">0</property><property name=\"top_attach\">2</proper"
  "ty><property name=\"width\">2</property></packing></child><child><objec"
  "t class=\"GtkLabel\" id=\"label18\"><property name=\"visible\">True</pr"
  "operty><property name=\"can_focus\">False</property><property name=\"la"
  "bel\" translatable=\"yes\">_Tooltip style:</property><property name=\"u"
  "se_underline\">True</property><property name=\"mnemonic_widget\">combo_"
  "tooltip_style</property><property name=\"xalign\">0</property></object>"
  "<packing><property name=\"left_attach\">0</property><property name=\"to"
  "p_attach\">3</property></packing></child><child><object class=\"GtkComb"
  "oBoxText\" id=\"combo_tooltip_style\"><property name=\"visible\">True</"
  "property><property name=\"can_focus\">False</property><property name=\""
  "tooltip_text\" translatable=\"yes\">Choose your preferred tooltip style"
  ". Some styles give a lot of useful data, some are clearer but provide l"
  "ess data on a glance.</property><items><item translatable=\"yes\">Simpl"
  "e</item><item translatable=\"yes\">Verbose</item></items></object><pack"
  "ing><property name=\"left_attach\">1</property><property name=\"top_att"
  "ach\">3</property></packing></child><child><object class=\"GtkSeparator"
  "\" id=\"label19\"><property name=\"visible\">True</property><property n"
  "ame=\"can_focus\">False</property><property name=\"margin_top\">6</prop"
  "erty><property name=\"margin_bottom\">6</property></object><packing><pr"
  "operty name=\"left_attach\">0</property><property name=\"top_attach\">4"
  "</property><property name=\"width\">2</property></packing></child><chil"
  "d><object class=\"GtkLabel\" id=\"label20\"><property name=\"visible\">"
  "True</property><property name=\"can_focus\">False</property><property n"
  "ame=\"label\" translatable=\"yes\">_Forecast layout:</property><propert"
  "y name=\"use_underline\">True</property><property name=\"mnemonic_widge"
  "t\">combo_forecast_layout</property><property name=\"xalign\">0</proper"
  "ty></object><packing><property name=\"left_attach\">0</property><proper"
  "ty name=\"top_attach\">5</property></packing></child><child><object cla"
  "ss=\"GtkComboBoxText\" id=\"combo_forecast_layout\"><property name=\"vi"
  "sible\">True</property><property name=\"can_focus\">False</property><it"
  "ems><item translatable=\"yes\">Days in columns</item><item translatable"
  "=\"yes\">Days in rows</item></items></object><packing><property name=\""
  "left_attach\">1</property><property name=\"top_attach\">5</property></p"
  "acking></child><child><object class=\"GtkLabel\" id=\"label21\"><proper"
  "ty name=\"visible\">True</property><property name=\"can_focus\">False</"
  "property><property name=\"label\" translatable=\"yes\">_Number of forec"
  "ast days:</property><property name=\"use_underline\">True</property><pr"
  "operty name=\"mnemonic_widget\">spin_forecast_days</property><property "
  "name=\"xalign\">0</property></object><packing><property name=\"left_att"
  "ach\">0</property><property name=\"top_attach\">6</property></packing><"
  "/child><child><object class=\"GtkSpinButton\" id=\"spin_forecast_days\""
  "><property name=\"visible\">True</property><property name=\"can_focus\""
  ">True</property><property name=\"halign\">start</property><property nam"
  "e=\"adjustment\">adjustment1</property><property name=\"numeric\">True<"
  "/property><property name=\"value\">5</property></object><packing><prope"
  "rty name=\"left_attach\">1</property><property name=\"top_attach\">6</p"
  "roperty></packing></child><child><object class=\"GtkSeparator\" id=\"se"
  "parator4\"><property name=\"visible\">True</property><property name=\"c"
  "an_focus\">False</property><property name=\"margin_top\">6</property><p"
  "roperty name=\"margin_bottom\">6</property></object><packing><property "
  "name=\"left_attach\">0</property><property name=\"top_attach\">7</prope"
  "rty><property name=\"width\">2</property></packing></child><child><obje"
  "ct class=\"GtkCheckButton\" id=\"check_round_values\"><property name=\""
  "label\" translatable=\"yes\">_Round values</property><property name=\"v"
  "isible\">True</property><property name=\"can_focus\">True</property><pr"
  "operty name=\"receives_default\">False</property><property name=\"use_u"
  "nderline\">True</property><property name=\"draw_indicator\">True</prope"
  "rty></object><packing><property name=\"left_attach\">0</property><prope"
  "rty name=\"top_attach\">8</property><property name=\"width\">2</propert"
  "y></packing></child></object><packing><property name=\"position\">2</pr"
  "operty></packing></child><child type=\"tab\"><object class=\"GtkLabel\""
  " id=\"label22\"><property name=\"visible\">True</property><property nam"
  "e=\"can_focus\">False</property><property name=\"label\" translatable=\""
  "yes\">_Appearance</property><property name=\"use_underline\">True</prop"
  "erty></object><packing><property name=\"position\">2</property><propert"
  "y name=\"tab_fill\">False</property></packing></child><child><object cl"
  "ass=\"GtkGrid\" id=\"grid4\"><property name=\"visible\">True</property>"
  "<property name=\"can_focus\">False</property><property name=\"border_wi"
  "dth\">12</property><property name=\"row_spacing\">6</property><property"
  " name=\"column_spacing\">12</property><child><object class=\"GtkCheckBu"
  "tton\" id=\"check_scrollbox_show\"><property name=\"label\" translatabl"
  "e=\"yes\">Show scroll_box</property><property name=\"visible\">True</pr"
  "operty><property name=\"can_focus\">True</property><property name=\"rec"
  "eives_default\">False</property><property name=\"tooltip_text\" transla"
  "table=\"yes\">Hide the scrollbox to save valuable space on the panel. M"
  "ost interesting information is also provided in the tooltip - provided "
  "you choose an appropriate tooltip style - that is shown when hovering o"
  "ver the icon.</property><property name=\"use_underline\">True</property"
  "><property name=\"draw_indicator\">True</property></object><packing><pr"
  "operty name=\"left_attach\">0</property><property name=\"top_attach\">0"
  "</property></packing></child><child><object class=\"GtkLabel\" id=\"lab"
  "el23\"><property name=\"visible\">True</property><property name=\"can_f"
  "ocus\">False</property><property name=\"hexpand\">True</property><prope"
  "rty name=\"label\" translatable=\"yes\">Li_nes:</property><property nam"
  "e=\"use_underline\">True</property><property name=\"mnemonic_widget\">s"
  "pin_scrollbox_lines</property><property name=\"xalign\">1</property></o"
  "bject><packing><property name=\"left_attach\">1</property><property nam"
  "e=\"top_attach\">0</property></packing></child><child><object class=\"G"
  "tkSpinButton\" id=\"spin_scrollbox_lines\"><property name=\"visible\">T"
  "rue</property><property name=\"can_focus\">True</property><property nam"
  "e=\"tooltip_text\" translatable=\"yes\">Decide how many values should b"
  "e shown at once in the scrollbox. You can choose a smaller font or enla"
  "rge the panel to make more lines fit.</property><property name=\"halign"
  "\">start</property><property name=\"adjustment\">adjustment2</property>"
  "<property name=\"numeric\">True</property><property name=\"value\">1</p"
  "roperty></object><packing><property name=\"left_attach\">2</property><p"
  "roperty name=\"top_attach\">0</property></packing></child><child><objec"
  "t class=\"GtkLabel\" id=\"label24\"><property name=\"visible\">True</pr"
  "operty><property name=\"can_focus\">False</property><property name=\"la"
  "bel\" translatable=\"yes\">Font and color:</property><property name=\"x"
  "align\">0</property></object><packing><property name=\"left_attach\">0<"
  "/property><property name=\"top_attach\">1</property></packing></child><"
  "child><object class=\"GtkColorButton\" id=\"button_scrollbox_color\"><p"
  "roperty name=\"visible\">True</property><property name=\"can_focus\">Tr"
  "ue</property><property name=\"receives_default\">True</property><proper"
  "ty name=\"tooltip_text\" translatable=\"yes\">There may be problems wit"
  "h some themes that cause the scrollbox text to be hardly readable. If t"
  "his is the case or you simply want it to appear in another color, then "
  "you can change it using this button. Middle-click on the button to unse"
  "t the scrollbox text color.</property></object><packing><property name="
  "\"left_attach\">2</property><property name=\"top_attach\">1</property><"
  "/packing></child><child><object class=\"GtkSeparator\" id=\"separator5\""
  "><property name=\"visible\">True</property><property name=\"can_focus\""
  ">False</property><property name=\"margin_top\">6</property><property na"
  "me=\"margin_bottom\">6</property></object><packing><property name=\"lef"
  "t_attach\">0</property><property name=\"top_attach\">2</property><prope"
  "rty name=\"width\">3</property></packing></child><child><object class=\""
  "GtkGrid\" id=\"grid5\"><property name=\"visible\">True</property><prope"
  "rty name=\"can_focus\">False</property><property name=\"hexpand\">True<"
  "/property><property name=\"vexpand\">True</property><property name=\"ro"
  "w_spacing\">6</property><property name=\"column_spacing\">6</property><"
  "child><object class=\"GtkComboBoxText\" id=\"options_datatypes\"><prope"
  "rty name=\"visible\">True</property><property name=\"can_focus\">False<"
  "/property><property name=\"hexpand\">True</property><items><item id=\"3"
  "\" translatable=\"yes\">Temperature (T)</item><item id=\"4\" translatab"
  "le=\"yes\">Barometric pressure (P)</item><item id=\"5\" translatable=\""
  "yes\">Wind speed (WS)</item><item id=\"6\" translatable=\"yes\">Wind sp"
  "eed - Beaufort scale (WB)</item><item id=\"7\" translatable=\"yes\">Win"
  "d direction (WD)</item><item id=\"8\" translatable=\"yes\">Wind directi"
  "on in degrees (WD)</item><item id=\"9\" translatable=\"yes\">Humidity ("
  "H)</item><item id=\"10\" translatable=\"yes\">Dew point (D)</item><item"
  " id=\"11\" translatable=\"yes\">Apparent temperature (A)</item><item id"
  "=\"12\" translatable=\"yes\">Low clouds (CL)</item><item id=\"13\" tran"
  "slatable=\"yes\">Middle clouds (CM)</item><item id=\"14\" translatable="
  "\"yes\">High clouds (CH)</item><item id=\"15\" translatable=\"yes\">Clo"
  "udiness (C)</item><item id=\"16\" translatable=\"yes\">Fog (F)</item><i"
  "tem id=\"17\" translatable=\"yes\">Precipitation (R)</item></items></ob"
  "ject><packing><property name=\"left_attach\">0</property><property name"
  "=\"top_attach\">0</property></packing></child><child><object class=\"Gt"
  "kScrolledWindow\" id=\"scrollwindow1\"><property name=\"visible\">True<"
  "/property><property name=\"can_focus\">True</property><property name=\""
  "hexpand\">True</property><property name=\"vexpand\">True</property><pro"
  "perty name=\"shadow_type\">in</property><child><object class=\"GtkViewp"
  "ort\" id=\"viewport1\"><property name=\"visible\">True</property><prope"
  "rty name=\"can_focus\">False</property><child><object class=\"GtkTreeVi"
  "ew\" id=\"list_datatypes\"><property name=\"visible\">True</property><p"
  "roperty name=\"can_focus\">True</property><property name=\"tooltip_text"
  "\" translatable=\"yes\">These are the values that will be shown in the "
  "scrollbox. Select a single value here and click the appropriate button "
  "to remove it or move it up and down in the list.</property><property na"
  "me=\"margin_right\">7</property><property name=\"model\">liststore1</pr"
  "operty><child internal-child=\"selection\"><object class=\"GtkTreeSelec"
  "tion\" id=\"selection1\"/></child></object></child></object></child></o"
  "bject><packing><property name=\"left_attach\">0</property><property nam"
  "e=\"top_attach\">1</property></packing></child><child><object class=\"G"
  "tkBox\" id=\"box6\"><property name=\"visible\">True</property><property"
  " name=\"can_focus\">False</property><property name=\"orientation\">vert"
  "ical</property><property name=\"spacing\">6</property><child><object cl"
  "ass=\"GtkButton\" id=\"button_add\"><property name=\"label\" translatab"
  "le=\"yes\">A_dd</property><property name=\"visible\">True</property><pr"
  "operty name=\"can_focus\">True</property><property name=\"receives_defa"
  "ult\">True</property><property name=\"tooltip_text\" translatable=\"yes"
  "\">Add the selected value to the labels that should be displayed in the"
  " scrollbox.</property><property name=\"image\">image3</property><proper"
  "ty name=\"use_underline\">True</property></object><packing><property na"
  "me=\"expand\">False</property><property name=\"fill\">True</property><p"
  "roperty name=\"position\">0</property></packing></child><child><object "
  "class=\"GtkButton\" id=\"button_del\"><property name=\"label\" translat"
  "able=\"yes\">_Remove</property><property name=\"visible\">True</propert"
  "y><property name=\"can_focus\">True</property><property name=\"receives"
  "_default\">True</property><property name=\"tooltip_text\" translatable="
  "\"yes\">Select a value in the list of labels to display and click this "
  "button to remove it.</property><property name=\"image\">image4</propert"
  "y><property name=\"use_underline\">True</property></object><packing><pr"
  "operty name=\"expand\">False</property><property name=\"fill\">True</pr"
  "operty><property name=\"position\">1</property></packing></child><child"
  "><object class=\"GtkSeparator\" id=\"separator6\"><property name=\"visi"
  "ble\">True</property><property name=\"can_focus\">False</property><prop"
  "erty name=\"opacity\">0</property></object><packing><property name=\"ex"
  "pand\">False</property><property name=\"fill\">True</property><property"
  " name=\"position\">2</property></packing></child><child><object class=\""
  "GtkButton\" id=\"button_down\"><property name=\"label\" translatable=\""
  "yes\">Move do_wn</property><property name=\"visible\">True</property><p"
  "roperty name=\"can_focus\">True</property><property name=\"receives_def"
  "ault\">True</property><property name=\"tooltip_text\" translatable=\"ye"
  "s\">Move the selected value down in the list of labels to display.</pro"
  "perty><property name=\"image\">image6</property><property name=\"use_un"
  "derline\">True</property></object><packing><property name=\"expand\">Fa"
  "lse</property><property name=\"fill\">True</property><property name=\"p"
  "ack_type\">end</property><property name=\"position\">3</property></pack"
  "ing></child><child><object class=\"GtkButton\" id=\"button_up\"><proper"
  "ty name=\"label\" translatable=\"yes\">Move u_p</property><property nam"
  "e=\"visible\">True</property><property name=\"can_focus\">True</propert"
  "y><property name=\"receives_default\">True</property><property name=\"t"
  "ooltip_text\" translatable=\"yes\">Move the selected value up in the li"
  "st of labels to display.</property><property name=\"image\">image5</pro"
  "perty><property name=\"use_underline\">True</property></object><packing"
  "><property name=\"expand\">False</property><property name=\"fill\">True"
  "</property><property name=\"pack_type\">end</property><property name=\""
  "position\">4</property></packing></child></object><packing><property na"
  "me=\"left_attach\">1</property><property name=\"top_attach\">0</propert"
  "y><property name=\"height\">2</property></packing></child></object><pac"
  "king><property name=\"left_attach\">0</property><property name=\"top_at"
  "tach\">3</property><property name=\"width\">3</property></packing></chi"
  "ld><child><object class=\"GtkCheckButton\" id=\"check_scrollbox_animate"
  "\"><property name=\"label\" translatable=\"yes\">Animate _transitions b"
  "etween labels</property><property name=\"visible\">True</property><prop"
  "erty name=\"can_focus\">True</property><property name=\"receives_defaul"
  "t\">False</property><property name=\"tooltip_text\" translatable=\"yes\""
  ">Scroll the current displayed value(s) out and the new value(s) in inst"
  "ead of simply changing them. Uncheck this option if you find the animat"
  "ion too distracting.</property><property name=\"use_underline\">True</p"
  "roperty><property name=\"draw_indicator\">True</property></object><pack"
  "ing><property name=\"left_attach\">0</property><property name=\"top_att"
  "ach\">4</property><property name=\"width\">3</property></packing></chil"
  "d><child><object class=\"GtkButton\" id=\"button_scrollbox_font\"><prop"
  "erty name=\"label\" translatable=\"yes\">Select _font</property><proper"
  "ty name=\"visible\">True</property><property name=\"can_focus\">True</p"
  "roperty><property name=\"receives_default\">True</property><property na"
  "me=\"tooltip_text\" translatable=\"yes\">Choose a font you like and set"
  " it to a smaller or larger size. Middle-click on the button to unset th"
  "e font and use your theme\'s default.</property><property name=\"use_un"
  "derline\">True</property></object><packing><property name=\"left_attach"
  "\">1</property><property name=\"top_attach\">1</property></packing></ch"
  "ild></object><packing><property name=\"position\">3</property></packing"
  "></child><child type=\"tab\"><object class=\"GtkLabel\" id=\"label25\">"
  "<property name=\"visible\">True</property><property name=\"can_focus\">"
  "False</property><property name=\"label\" translatable=\"yes\">_Scrollbo"
  "x</property><property name=\"use_underline\">True</property></object><p"
  "acking><property name=\"position\">3</property><property name=\"tab_fil"
  "l\">False</property></packing></child></object><packing><property name="
  "\"expand\">True</property><property name=\"fill\">True</property><prope"
  "rty name=\"position\">1</property></packing></child></object></child><a"
  "ction-widgets><action-widget response=\"-11\">help_button</action-widge"
  "t><action-widget response=\"-7\">close_button</action-widget></action-w"
  "idgets></object></interface>"
};

static const unsigned weather_config_ui_length = 40478u;

